## envyng-core 1.1.1ubuntu11

=== debian/changelog ===
envyng-core (1.1.1ubuntu11) hardy; urgency=low

  * Fix (LP: #220385)
  * Remove envyng.list since multiverse is used instead of the PPA 
  * Make sure that checkRepositories() enables both universe and multiverse

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 22 Apr 2008 10:24:34 +0200

envyng-core (1.1.1ubuntu10) hardy; urgency=low

  * Create a new xorg.conf if none is found
  * Move xparse.defaultdepth() outside the EnvyParser class so as to prevent
    that its settings are ignored by guidance
  * Comment out useless lines in xorgconfig2.main()
  * Fix xorgconfig2.Parser.removeOption() so that it keeps track of what it
    removes
  * Leave only the PPA with the drivers in envyng.list so as to prevent it
    from causing problems related to duplicate entries in sources.list
  * Add classes.Shutilities.checkRepositories() so as to make sure that the
    universe repository is enabled
  * Add python-apt as a dependency (for checkRepositories()
  * Catch the KeyError exception thrown by apt.Cache()
  * Add main.headersCheck() so as to raise an error if -xen kernel flavours
    are in use

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 15 Apr 2008 12:41:01 +0200

envyng-core (1.1.1ubuntu9) hardy; urgency=low

  * Fix (LP: #216303) again: look for the relevant sections with .lower() so as
    to get lower case sections too 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 13 Apr 2008 15:43:58 +0200

envyng-core (1.1.1ubuntu8) hardy; urgency=low

  * Add missing sections to fix (LP: #216303) in xorgconfi2.py

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 13 Apr 2008 15:43:12 +0200

envyng-core (1.1.1ubuntu7) hardy; urgency=low

  * Add hardy-updates and hardy-security repositories to envyng.list

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 10 Apr 2008 10:09:04 +0200

envyng-core (1.1.1ubuntu6) hardy; urgency=low

  * New additional parser to set the default depth correctly in xorg.conf
  * Make the parser less verbose

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 09 Apr 2008 15:45:38 +0200

envyng-core (1.1.1ubuntu5) hardy; urgency=low

  * If Network Manager says the connection is not available, the fallback
    detection system will have to confirm the connection status. Some
    modems are wrongly detected as disconnected by NM 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 08 Apr 2008 13:21:43 +0200

envyng-core (1.1.1ubuntu4) hardy; urgency=low

  * Corrected typo in launcher 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 05 Apr 2008 18:33:59 +0200

envyng-core (1.1.1ubuntu3) hardy; urgency=low

  * Remove dependency on network-manager

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 04 Apr 2008 20:31:58 +0200

envyng-core (1.1.1ubuntu2) hardy; urgency=low

  * Fix python version

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 04 Apr 2008 18:16:15 +0200

envyng-core (1.1.1ubuntu1) hardy; urgency=low

  * New connection detection method (based on Network Manager)
  * Update compatibility list
  * Add dependencies: python-gobject, python-dbus, network-manager

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 04 Apr 2008 16:24:01 +0200

envyng-core (1.1.1) hardy; urgency=low

  * Added networkmanager

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 04 Apr 2008 10:52:27 +0200

envyng-core (1.1.0ubuntu18) hardy; urgency=low

  * Update translations
  * Remove gtk dependencies 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 03 Apr 2008 17:50:30 +0200

envyng-core (1.1.0ubuntu17) hardy; urgency=low

  * Remove ativarsum() from objects

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 03 Apr 2008 15:34:44 +0200

envyng-core (1.1.0ubuntu16) hardy; urgency=low

  * Updated translators list
  * Fixed problem with UTF-8 and QT4 in translators list

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 03 Apr 2008 13:08:16 +0200

envyng-core (1.1.0ubuntu15) hardy; urgency=low

  * Fix classes.getPackagesPath()
  * Remove obsolete code from classes, main, objects

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 02 Apr 2008 15:05:36 +0200

envyng-core (1.1.0ubuntu14) hardy; urgency=low

  * Added "Cancel" translation string

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 02 Apr 2008 10:07:36 +0200

envyng-core (1.1.0ubuntu13) hardy; urgency=low

  * Reduced startup time

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 29 Mar 2008 14:09:17 +0100

envyng-core (1.1.0ubuntu12) hardy; urgency=low

  * Removed the list of ids for ATI's newlegacy driver since it's no longer
    provided by EnvyNG. This caused a a crash. 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 29 Mar 2008 11:26:20 +0100

envyng-core (1.1.0ubuntu11) hardy; urgency=low

  * Fix for slower connections
  * Add localisation files for Brazilian Portuguese, Catalan, Czech, Deutsch,
        Dutch, English (United Kingdom), Esperanto, French, Greek, Hebrew,
        Italian, Norwegian Bokmal, Polish, Portuguese, Russian, Slovak,
        Slovenian, Spanish, Swedish, Traditional Chinese

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 28 Mar 2008 12:23:03 +0100

envyng-core (1.1.0ubuntu10) hardy; urgency=low

  * Set lintian overrides

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 25 Mar 2008 17:01:43 +0100

envyng-core (1.1.0ubuntu9) hardy; urgency=low

  * Support for localisation
  * added .desktop file

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 25 Mar 2008 15:35:03 +0100

envyng-core (1.1.0ubuntu8) hardy; urgency=low

  * Initial support for localisation

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Mon, 24 Mar 2008 16:43:36 +0100

envyng-core (1.1.0ubuntu7) hardy; urgency=low

  * download() now chowns the files with the uid and gid of the destination

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Mon, 24 Mar 2008 07:37:41 +0100



## envyng-core 1.1.1ubuntu17

=== Makefile ===
DOMAIN=envyng

PO_FILES=$(wildcard po/*.po)
DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))

all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)

clean:
	rm -rf po/mo/
	rm -f po/$(DOMAIN).pot
	rm -f $(DESKTOP_FILES)

#
# i18n for po/*
#

# update the pot
po/$(DOMAIN).pot:
	cd po; intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES) po/$(DOMAIN.pot)
	cd po; intltool-update -r -g $(DOMAIN)

# create mo from po files
%.mo : %.po
	mkdir -p $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/ 
	msgfmt $< -o $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(PO_FILES))

#
# i18n for *.desktop files
#

%.desktop : %.desktop.in
	intltool-merge -d po/ $< $@

.PHONY: all clean build-mo merge-po

=== debian/changelog ===
envyng-core (1.1.1ubuntu17) hardy-proposed; urgency=low

  * Fix (LP: #228802) Only the name of the driver should be put in lowercase
  * Remove the -envy packages also in the installation process

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 25 May 2008 18:27:10 +0200

envyng-core (1.1.1ubuntu16) hardy-proposed; urgency=low

  * Remove lintian overrides and fix the problems which were causing the
    warnings
  * Fix (LP: #228671) The option to save the packages should get the packages from the Ubuntu
    pool instead of using the PPA
  * Wait 2 additional seconds before terminating the thread in classes.Vars
  * build and save should not be put in lowercase in pulse.py

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 16 May 2008 18:37:07 +0200

envyng-core (1.1.1ubuntu15) hardy-proposed; urgency=low

  * Include progress.py (LP: #227717)

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 07 May 2008 17:20:21 +0200

envyng-core (1.1.1ubuntu14) hardy-proposed; urgency=low

  * Fix (LP: #224004) Update NVIDIA compatibility list.
  * Fix (LP: #221304) Use the new l-r-m-envy packages now.

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 06 May 2008 10:32:41 +0200

envyng-core (1.1.1ubuntu13) hardy; urgency=low

  * Detect the version of the available packages through python-apt
  * Fix (LP: #221723) Make sure that the parameters passed to pulse.py are lowercase

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 27 Apr 2008 13:10:30 +0200

envyng-core (1.1.1ubuntu12) hardy; urgency=low

  * Update ATI compatibility list
  * Fix (LP: #219901)
  * Fix (LP: #221304)
  * Install -envy packages instead of the ones in main
  * Hide FutureWarning caused by python-apt
  * xorgconfig2 now ignores sections which are not relevant in xorg.conf

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 25 Apr 2008 12:09:05 +0200

=== debian/control ===
Source: envyng-core
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.7.3
XS-Python-Version: all

Package: envyng-core
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: envy
Depends: ${python:Depends}, python-gobject, python-dbus, python-apt
Description: install the ATI or the NVIDIA driver
 EnvyNG is an application written in Python which will download the
 latest ATI or NVIDIA driver or the Legacy driver (for older cards)
 (according to the model of your card) from ATI or Nvidia's website
 and set it up for you handling dependencies (compilers, OpenGL, 
 etc.) which are required in order to build and use the driver.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/envyng-core ::
#	install -m0644 -D envyui/envy16.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/16x16/apps/envy.gif
#	install -m0644 -D envyui/envy22.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/22x22/apps/envy.gif
#	install -m0644 -D envyui/envyicon.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/32x32/apps/envy.gif

binary-install/envyng-core ::
#	dh_icons -p$(cdbs_curpkg)

## envyng-core 2.0.1

=== debian/changelog ===
envyng-core (2.0.1) intrepid; urgency=low

  * Force launcher to use the kde ui
  * Make envyng executable use the kde ui instead of gtk
  * Update Standards-Version

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 13 Sep 2008 12:54:52 +0200

envyng-core (2.0) intrepid; urgency=low

  * Add the support for Intrepid
  * Switch to X-Kit (python-xkit) instead of Guidance
  * Rely on python-apt instead of apt
  * Rely on the modalias files of the drivers (nvidia-common, fglrx-modaliases)
  * Localise the textual interface

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 24 Aug 2008 12:06:38 +0200

=== debian/control ===
Source: envyng-core
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.0
XS-Python-Version: all

Package: envyng-core
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: envy
Depends: ${python:Depends}, python-gobject, python-dbus, python-apt, python-xkit, nvidia-common, fglrx-modaliases
Description: install the ATI or the NVIDIA driver
 EnvyNG is an application written in Python which will download the
 latest ATI or NVIDIA driver or the Legacy driver (for older cards)
 (according to the model of your card) from ATI or Nvidia's website
 and set it up for you handling dependencies (compilers, OpenGL, 
 etc.) which are required in order to build and use the driver.

## envyng-core 2.0.1ubuntu1

=== debian/changelog ===
envyng-core (2.0.1ubuntu1) jaunty; urgency=low

  * envy/detection.py:
    - Treat candidates as a list in HardwareDetection.selectDriver()
      when more than one nvidia card is available (LP: #292173).
  * debian/rules
    - Remove DEB_PYTHON_INSTALL_ARGS_ALL for python2.6 transition (LP:#337858).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 13 Mar 2009 11:46:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/langpack.mk
 
-DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile
 
 install/envyng-core ::
 #	install -m0644 -D envyui/envy16.gif \

## envyng-core 2.0.1ubuntu3

=== debian/changelog ===
envyng-core (2.0.1ubuntu3) karmic; urgency=low

  * envy/packagemanager.py:
    - Fixed the spelling of Dowloading to Downloading (LP: #411915)
  * envy/ui.py
    - Fixed the spelling of Dowloading to Downloading (LP: #411915)

 -- Alexander Ross <alexander.eric.ross@gmail.com>  Tue, 11 Aug 2009 22:00:51 +1000

envyng-core (2.0.1ubuntu2) karmic; urgency=low

  * Envy/packagemanager.py
    - Adapt file to the changes in python-apt (LP: #396301).
      Credit goes to Michael Vogt (mvo).
    - Ignore deprecation warnings.
  * debian/rules:
    - Use DH_PYCENTRAL=include-links instead of nomove.
    - Remove makefile.mk.
  * debian/control:
    - Add build dependency on python-distutils-extra (>= 2.4).
  * setup.py:
    - Switch to the DistUtilsExtra module.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 21 Aug 2009 14:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: envyng-core
 Section: utils
 Priority: optional
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
+ python-distutils-extra (>= 2.4), 
+Maintainer: Alberto Milone <alberto.milone@ubuntu.com>
 Standards-Version: 3.8.0
 XS-Python-Version: all

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=include-links

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
#include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

clean::
	rm -f po/*.pot
	rm -Rf build/

install/envyng-core ::

binary-install/envyng-core ::
